Bug 1133909 - Unable to upload local files while opening new 'Red Hat Access' case from JON
Summary: Unable to upload local files while opening new 'Red Hat Access' case from JON
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ER02
: JON 3.3.0
Assignee: Jirka Kremser
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Depends On:
Blocks: JON3-11
TreeView+ depends on / blocked
 
Reported: 2014-08-26 12:38 UTC by Jeeva Kandasamy
Modified: 2015-09-03 00:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:04:56 UTC
Type: Bug


Attachments (Terms of Use)
csp-local file upload (46.52 KB, image/jpeg)
2014-08-26 12:38 UTC, Jeeva Kandasamy
no flags Details
attach_local_files (113.20 KB, application/octet-stream)
2014-09-10 15:56 UTC, Armine Hovsepyan
no flags Details

Description Jeeva Kandasamy 2014-08-26 12:38:55 UTC
Created attachment 930882 [details]
csp-local file upload

Description of problem:
Unable to upload local files while opening new 'Red Hat Access' case from JON.
I tried to upload local file while opening new cases, but could not upload the file. There is no error also there no log on browser console window.

Version-Release number of selected component (if applicable):
JBoss Operations Network	
Version : 3.3.0.ER01
Build Number : 23b3476:f3aa7e7
GWT Version : 2.5.0
SmartGWT Version : 3.0p

Browser: Firefox 31.0

How reproducible:
always

Steps to Reproduce:
1. Login in to JON 3.3
2. Click on 'Red Hat Access->Support->Open case'
3. Do 'Red Hat Access' account login, if didn't already
4. Enter case details, Click on 'Next'
5. Click on 'Attach Local File' and select a file.
6. Showing as 'no files chosen'
7. To confirm submitted, but file is not available.

File name I used: jdr_14-08-26_07-49-57_jeeva-lab-pvywk.zip 
File Size: 1.3 MB

Additional info: screen shot is attached

Comment 2 Jirka Kremser 2014-08-28 10:10:55 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/33a5bbe15
time:    2014-08-28 12:08:47 +0200
commit:  33a5bbe154f0eb0def4d48497431315e9528422f
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1133590, BZ 1133909] - Upgrading the version of Red Hat Access
         angular app, where the issues are already fixed.

Comment 3 Jirka Kremser 2014-08-29 11:57:59 UTC
branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/1e94f22fa
time:    2014-08-29 13:56:56 +0200
commit:  1e94f22faf3048c2f30d82cc909b9d3785c65eb0
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1133590, BZ 1133909] - Upgrading the version of Red Hat Access
         angular app, where the issues are already fixed.

         (cherry picked from commit
         33a5bbe154f0eb0def4d48497431315e9528422f) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>

Comment 4 Simeon Pinder 2014-09-03 20:31:54 UTC
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=381194

Comment 5 Armine Hovsepyan 2014-09-10 15:56:58 UTC
Created attachment 936226 [details]
attach_local_files

Comment 6 Armine Hovsepyan 2014-09-10 15:57:31 UTC
verified in JON 3.3 ER02 (browser FF)

screen-shot attached


Note You need to log in before you can comment on or make changes to this bug.